define(function(require) {
	return {
		cultureName: "en-US",
		global: {
			area: "Area",
			back: "Back",
			cancel: "Cancel",
			chart: "Chart",
			cluster: "Cluster",
			colon: ": ",
			copyButtonTooltip: "Copy data to clipboard",
			copyright: "Copyright",
			height: "Height",
			legend: "Legend",
			metadata: "Metadata",
			notAvailable: "-",
			ok: "OK",
			of: "of",
			others: "Others",
			perimeter: "Perimeter",
			publisher: "Publisher",
			radius: "Radius",
			remove: "Remove",
			semicolon: "; ",
			settings: "Settings",
			go_back_table: "Back to table view",
			viewer: "Viewer",
			width: "Width",
			licensemode_1: "DEMO / EVALUATION",
			licensemode_2: "VERSION",
			invalid_license_key_1: "INVALID",
			invalid_license_key_2: "LICENSE KEY",
			invalid_license_key_subdomain_1: "INVALID LICENSE KEY",
			invalid_license_key_subdomain_2: "FOR SUBDOMAIN",
			version: "VERSION",
			errorMessage: "Error loading the map. Please republish the map or contact technical support.",
			errorMessageLocalFile: "Error loading the map. Please open the map in the Publisher or deploy it on a web server.",
			application: "Application",
			image: "Image"
		},
		flowLayer: {
			flowLayerName: "Flow Layer",
			referenceLayerFlowDataTableName: "Flow",
			from: "From ",
			to: " to ",
			origin: "Origin:",
			destination: "Destination:",
			columnIdName: "Id",
			columnNameName: "Name",
			columnReferenceFeatureName: "Origin/Destination",
			columnValueName: "Value",
			columnOriginIdName: "Origin - unique identifier",
			columnDestinationIdName: "Destination - unique identifier",
		},
		territoryManagement: {
			TerritoryManagementViewController: {
				redistrict_datatable_name: "Redistricting",
				territory_datacolumn_name: "Territory Name",
				add_district: "Add",
				remove_district: "Remove",
				title: "Territory Manager",
				territory_dd_default: "Territory",
				target_value: "Target Value",
				value: "Value",
				deviation: "Deviation",
				target_values: "Target Values",
				current: "Current",
				add: "Add",
				remove: "Remove",
				show: "Show",
				column: "Column",
				data: "Data",
				newTerritory: "New Territory",
				new_territory_disabled: "New Territory Disabled",
				create_new_territory_title: "Create New Territory",
				territory_name: "Territory Name:",
				territory_already_exists: "Territory already exists",
				session_unavailable: "Session unavailable",
				error_config_files: "Error in configuration files.",
				prompt_delete_territory: "Are you sure you want to delete this territory?",
				delete_territory_title: "Delete Territory",
				restriction_modify_title: "Action Forbidden",
				restriction_modify_message: "You no longer have the necessary permissions to proceed.",
				restriction_layer_title: "Block Layer Permissions",
				restriction_layer_message: "You don't have the permissions to access the block layer.",
				territories: "Territories",
				actions_create_new_territory: "Create a new territory",
				actions_selected_blocks: "selected block(s)",
				add_to: "Add to",
				remove_from: "Remove from",
				editing: {
					properties_title: "Properties"
				},
				action_menu: {
					rename: "Rename",
					export_pdf: "Export to PDF",
					export_word: "Export to WORD",
					export_xls: "Export to Excel (xls)",
					delete: "Delete"
				},
				filters: {
					active_territory: "Only active territory",
					show_block_territories: "Show only blocks associated with the active territory",
					select_block_territories: "Select all blocks associated with the active territory",
				},
				themesets: "Themesets",
				themeset_territory: "All territories",
				themeset_source: "Territory editing",
				labeling: "Labeling",
				labeling_prompt: "Choose a column of data from the list"
			}
		},
		print: {
			topbar: {
				print_label: "Print Layout",
				print: "Export",
				print_tooltip: "Export to PDF",
				print_image: "Export to PNG",
				close: "Close",
				close_tooltip: "Close"
			},
			toolbar: {
				papersize: "Paper Size",
				papersize_enum: {
					Letter: 'Letter',
					Legal: 'Legal',
					Tabloid: 'Tabloid',
					A3: 'A3',
					A4: 'A4',
					A5: 'A5'
				},
				paperorientation: "Orientation",
				paperorientation_portrait: "Portrait",
				paperorientation_landscape: "Landscape",
				zoom: "Zoom",
				insert_label: "Insert:",
				insert_text: "Text",
				insert_title: "Title",
				default_text: "Your text here",
				text_inherit_font: "Inherited Font",
				text_inherit_size: "Inherited Size",
				insert_image: "Image",
				insert_select_image: "Select image",
				insert_select_chart: "Select chart",
				insert_map: "Map",
				insert_legend: "Legend",
				insert_metadata: "Metadata",
				insert_date: "Date",
				insert_chart: "Chart",
				insert_custom: "Custom component",
				delete_element: "Delete element",
				element_tofront: "Bring to front",
				element_toback: "Send to back",
				border_element: "Element border",
				border_element_no_border: "No Border",
				page_next: "Next page",
				page_previous: "Previous page",
				page_delete: "Delete page",
				page_add: "Add page",
				paging_label1: "Page",
				paging_label2: "of",
				stroke_color: "Border color",
				fill_color: "Background color"
			}
		},
		core: {
			layers: {
				LayerType: {
					UNKNOWN: "Unknown",
					POLYGON: "Polygon",
					POLYLINE: "Polyline",
					POINT: "Point",
					ANNOTATION: "Annotation",
					MIXED: "Mixed",
					RASTER: "Raster",
					TILE: "Tile",
				},
				vectors: {
					DataColumnsDisplayMode: {
						none: "None",
						active_indicators_only: "Active Themes Only",
						all_indicators_in_active_tables: "All Data in Active Tables",
						all_indicators: "All"
					},
					InteractiveLayer: {
						AttributesTableName: "Attributes Table"
					}
				}
			},
			UnitType: {
				METERS: "Meters",
				FEET: "Feet",
				KILOMETERS: "Kilometers",
				MILES: "Miles",
				INCHES: "Inches",
				ACRES: "Acres",
				HECTARES: "Hectares"
			},
			UnitTypeAbbreviation: {
				METERS: "m",
				FEET: "ft",
				KILOMETERS: "km",
				MILES: "mi",
				INCHES: "in",
				ACRES: "ac",
				HECTARES: "ha"
			},
		},
		src: {
			controllers: {
				OverviewMapController: {
					maximizeIcon: "Show Overview Map",
					minimizeIcon: "Hide Overview Map",
				}
			}
		},
		data: {
			statistics: {
				InterpolationMethodEnum: {
					CONST: "Constant",
					LOG: "Log",
					SQRT: "Square Root"
				},
				RangeCalculationMethodEnum: {
					QUANTILES: "Quantiles",
					JENKS: "Jenks",
					EQUAL_RANGES: "Equal Ranges",
					STANDARD_DEVIATION: "Standard Deviation",
					CUSTOM: "Custom"
				}
			},
			StatisticEnum: {
				SUM: "Sum",
				AVERAGE: "Average",
				MIN: "Minimum",
				MAX: "Maximum",
				COUNT: "Count",
				COUNT_TOTAL: "Total count",
				STANDARD_DEVIATION: "Standard deviation",
				MEDIAN: "Median",
				MODE: "Mode"
			},
		},
		thematics: {
			HeatMapTheme: "Heat Map",
			PieChartOverlayTheme: "Pie Chart",
			BarChartOverlayTheme: "Column Chart",
			OutOfRanges: "Out of ranges",
			notAvailable: "N/A",
			RangeOfValue: {
				to: "to"
			}
		},
		ui: {
			sidebar: {
				BtnToggleSearchView: {
					tooltip: "Search: Perform search based on map layers"
				},
				BtnToggleChartView: {
					tooltip: "Chart View: Display data as a chart"
				},
				BtnToggleLayerControlView: {
					tooltip: "Layer Control: Control the visibility of map layers"
				},
				BtnToggleInfoView: {
					tooltip: "Information: Display information about features that were queried with the info tool"
				},
				BtnToggleLegendView: {
					tooltip: "Legend: Display the map legend"
				},
				BtnToggleMetadataView: {
					tooltip: "Metadata: Display the metadata (source) for the current map"
				},
				BtnToggleDrawingView: {
					tooltip: "Drawing: Modify the style and description of the features drawn on the map"
				},
				BtnToggleTerritoryManagementView: {
					tooltip: "Territory Manager: Create or modify territories"
				},
				BtnToggleTerritoryManagementEditingView: {
					tooltip: "Territory Manager: Edit territory"
				},
				BtnToggleRoutingView: {
					tooltip: "Routing: Display routing information"
				}

			},
			bottombar: {
				BtnToggleDataView: {
					data: "Data",
					tooltip: "Data: View map features in a table"
				},
				BtnDataSelectionView: {
					selection: "Selection",
					tooltip: "Selection: View selected map features in a table"
				},
				BtnToggleMapView: {
					tooltip: "Map: Show the map"
				}
			},
			cvComponents: {
				cvThemeCreationView: {
					CvThemeCreationView: {
						add: "Add",
						customThemeSetGroupTitle: "Custom Analyses",
						customThemeSetTitle: "New Theme Set",
						main_title: "Data Selection",
						geographic_level: "Layer",
						layers_option_label: "Select a map layer (geographic level)",
						data_columns_title: "Data",
						category_title: "Categories",
						representation_title: "Representation",
						create_new_thematic: "Create a New Thematic Analysis",
						select_data_layer_title: "Layer",
						data_title: "Data",
					},
					ThematicOptions: {
						//Polygon
						polygon_colorRange: "Color ranges",
						polygon_colorGradient: "Color gradient",
						polygon_colorIndividual: "Color categories",
						polygon_patternRange: "Pattern ranges",
						polygon_patternIndividual: "Pattern categories",

						//Polygon symbol overlay
						polygonOverlay_colorRange: "Symbols color ranges",
						polygonOverlay_colorGradient: "Symbols color gradient",
						polygonOverlay_colorIndividual: "Symbols color categories",
						polygonOverlay_sizeGraduated: "Symbols graduated size",
						polygonOverlay_sizeRange: "Symbols size ranges",
						polygonOverlay_symbolIndividual: "Symbols shapes",

						//Polygon charts
						polygonOverlay_pieChart: "Pie charts",
						polygonOverlay_barChart: "Column charts",

						//Point
						heatMap: "Heat Map",
						point_colorRange: "Color ranges",
						point_colorGradient: "Color gradient",
						point_colorIndividual: "Color categories",
						point_sizeGraduated: "Graduated size",
						point_sizeRange: "Size ranges",
						point_symbolIndividual: "Shapes",

						//Point charts
						point_pieChart: "Pie charts",
						point_barChart: "Column charts",

						//Polyline
						polyline_colorRange: "Color ranges",
						polyline_colorGradient: "Color gradient",
						polyline_colorIndividual: "Color categories",
						polyline_sizeGraduated: "Graduated size",
						polyline_sizeRange: "Size ranges",
						polyline_patternIndividual: "Pattern categories",

						//Polyline symbol overlay
						polylineOverlay_colorRange: "Symbols color ranges",
						polylineOverlay_colorGradient: "Symbols color gradient",
						polylineOverlay_colorIndividual: "Symbols color categories",
						polylineOverlay_sizeGraduated: "Symbols graduated size",
						polylineOverlay_sizeRange: "Symbols size ranges",
						polylineOverlay_symbolIndividual: "Symbols shapes",

						//Polyline charts
						polylineOverlay_pieChart: "Pie charts",
						polylineOverlay_barChart: "Column charts",
					}
				},
				CvThemeSetListTreeView: {
					pushPinTooltip: "Pin this custom analysis to the map",
					editTooltip: "Rename this custom analysis",
					removeTooltip: "Delete this custom analysis",
					cancelTooltip: "Cancel",
					acceptTooltip: "Confirm changes",
				},
				PopupOpacity: {
					opacity: "Opacity: "
				},
				Geocoder: {
					missingLicenceKey: "A licence key is required to use the geocoder.",
					placeholder: "Search..."
				}
			},
			header: {
				BtnAbout: {
					createdBy: "Created by",
					cartovistaWebsite: "cartovista.com",
					copyright: "Copyright ©2007-2019 CartoVista inc. All Rights Reserved.",
					tooltip: "Get information about CartoVista",
					responsiveHeader: "About CartoVista"
				},
				BtnThemeSetList: {
					prompt: "Please pick a theme set from the list",
					tooltip: "Display a list of available themes for this map"
				},
				BtnThemeCreation: {
					tooltip: "Create a new thematic analysis",
					custom: "Create Custom Analysis..."
				},
				BtnPrint: {
					tooltip: "Print the map",
					responsiveHeader: "Print..."
				},
				SocialMedia: {
					title: "Share this map",
					tooltip: "Share",
					tabShare: "Share",
					tabEmbed: "Embed",
					embed: "Copy the following HTML code to embed this map :",
					share: "Share this map on your favorite social medias or by email",
					Email: {
						tooltip: "Send an email with a link to this CartoVista map",
						title: "CartoVista Map : ",
						body: "Here is a link to a CartoVista map : "
					},
					Facebook: {
						tooltip: "Post on your Facebook wall a url to the map",
					},
					Twitter: {
						tooltip: "Tweet a url to the map",
					},
					Linkedin: {
						tooltip: "Post on your Linkedin profile a url to the map",
						title: "CartoVista Map : ",
					},
					responsiveHeader: "Share..."
				},
				DropDownLanguages: {
					tooltip: "Choose the user interface language",
					responsiveHeader: "Languages",
				},
				BtnTerritoryManagementScenarios: {
					prompt: "Please pick a scenario",
					tooltip: "Display a list of available scenarios",
					add_scenario: "Create New Scenario",
					new_scenario: "New Scenario",
					permissions: "Permissions",
					access_rights: "Access Permissions",
					update_rights: "Modify Permissions",
					cancel_new_scenario: "Cancel",
					create_new_scenario: "Create Scenario",
					update_scenario: "Update Scenario",
					prompt_delete_territory_scenario: "Are you sure you want to delete this scenario?",
					delete_territory_scenario_title: "Delete Scenario",
					session_unavailable_title: "Session Unavailable",
					session_unavailable_message: "The selected scenario is currently used by another user."
				},
				BtnHelp: {
					responsiveHeader: "Help"
				}
			},
			map: {
				BtnMapExportTool: {
					tooltip: "Export: Export the map to an image",
					fileName: "CartoVistaMapImage"
				},
				ScaleBar: {
					mapScale: "Map Scale: ",
				},
				CopyrightNotice: {
					metadataSource: "Metadata (sources) ",
					termsOfUse: "Terms of Use",
				}
			},
			drawingToolbar: {
				BtnDrawingToolbar: {
					tooltip: "Open the drawing tool bar",
				},
				BtnDrawingSelectionTool: {
					tooltip: "Select a drawing or annotation",
				},
				BtnDrawAnnotationTool: {
					tooltip: "Add an annotation",
				},
				BtnDrawSymbolPointTool: {
					tooltip: "Add a point",
				},
				BtnDrawPointAddressTool: {
					tooltip: "Add a point by address",
				},
				BtnDrawPolylineTool: {
					tooltip: "Draw a polyline",
				},
				BtnDrawPolygonTool: {
					tooltip: "Draw a polygon",
				},
				BtnDrawRectangleTool: {
					tooltip: "Draw a rectangle",
				},
				BtnDrawEllipsoidTool: {
					tooltip: "Draw an ellipse",
				},
				AddPointByAddressView: {
					title: "Add a point by address",
					add: "Add",
				}
			},
			toolbar: {
				BtnGoogleStreetViewTool: {
					tooltip: "Google Street View: Click on the map to open Google Map Street View in a new window",
					confirmationMessage: "Do you want to open Google Map Street View? <br> Better results with Google Map App installed."
				},
				BtnZoomInTool: {
					tooltip: "Zoom In: Draw a rectangle on the map to display a closer view"
				},
				BtnZoomOutTool: {
					tooltip: "Zoom Out: Click on the map to display a wider view"
				},
				BtnPanTool: {
					tooltip: "Pan: Click and drag the map to recenter"
				},
				BtnPanInfoTool: {
					tooltip: "Pan & Info: Click and drag the map to recenter.  Click on the map to display information associated with a map object"
				},
				BtnRulerTool: {
					tooltip: "Ruler: Click on the map to draw a line and calculate distances"
				},
				BtnAreaMeasuringTool: {
					tooltip: "Area Calculator: Click on the map to draw a polygon and calculate the corresponding area"
				},
				BtnHyperlinkTool: {
					tooltip: "Hyperlink: Click on the map to drill-down to another map level or open a link associated with a map object"
				},
				BtnSelectionMenuTool: {
					fromDropDown: "From:",
					usingDropDown: "Using:",
					spatialIntersection: "Spatial Intersection"
				},
				BtnSimpleSelectionTool: {
					tooltip: "Selection: Select map features by clicking on the map (use SHIFT/CONTROL for multi-select)"
				},
				BtnRectangularSelectionTool: {
					tooltip: "Rectangular Selection: Draw a rectangle on the map to select map features (use SHIFT/CONTROL for multi-select)"
				},
				BtnCircularSelectionTool: {
					tooltip: "Circular Selection: Draw a circle on the map to select map features (use SHIFT/CONTROL for multi-select)"
				},
				BtnPolygonalSelectionTool: {
					tooltip: "Polygonal Selection: Draw a polygon on the map to select map features (double-click to end) (use SHIFT/CONTROL for multi-select)"
				},
				BtnUnselectAllTool: {
					tooltip: "Unselect All: Unselect all map features"
				},
				BtnInitialExtentTool: {
					tooltip: "Initial Extents: Zoom to Initial Extents"
				},
				BtnPreviousViewTool: {
					tooltip: "Previous View: Go to previous view"
				},
				BtnNextViewTool: {
					tooltip: "Next View: Go to next view"
				},
				BtnInfoTool: {
					tooltip: "Info: Click on the map to display information associated with a map object"
				},
				BtnInfoPanTool: {
					tooltip: "Info with Pan: Click on the map to display information associated with a map object or click and drag the map to recenter"
				},
				BtnHyperlinkPanTool: {
					tooltip: "Geographic Drill Down: Click on the map to perform a geographic drilldown or click and drag the map to recenter"
				},
				BtnGeolocationTool: {
					tooltip: "Geolocation: Click on this tool to locate yourself on the map",
					error_title: "Geolocation Error",
					error_message: "There was an error with the geolocation tool."
				},
				BtnIsochroneIsodistanceTool: {
					tooltip: "Isochrone / Isodistance: Click on the map to generate travel time isochrones or isodistances"
				},
				BtnRoutingTool: {
					tooltip: "Itinerary : Click on the map to set the starting point and again for the finish point"
				}
			},
			views: {
				chartView: {
					ChartViewController: {
						newChartPlaceholder: "New Chart Area",
						removeChartPlaceholder: "Remove Chart Area",
						selectChart: "Select a Chart",
					},
					CVChartContainer: {
						addChart: "Add a new chart",
						aggregate: "Aggregate",
						stacked: "Stack",
						export: "Export to image",
						linkSelection: "Link to Selection",
						optimizeView: "Optimize View",
						trendLine: "Trend Line",
						type: "Type:",
						sortBy: "Sort by:",
						groupBy: "Group by:",
						none: "None",
						layer: "Layer:",
						labelSelectionWarning: "Displaying Selection",
						columnChart: "Column Chart",
						pieChart: "Pie Chart",
						lineChart: "Line Chart",
						areaChart: "Area Chart",
						scatterChart: "Scatter Chart",
						chartButtonTooltip: "Back to chart view",
						exportFilename: "CartoVista-Chart"
					}
				},
				dataView: {
					DataViewController: {
						automaticColumns: "Automatic data: ",
						columns: "Data:",
						statistics: "Statistics",
						clearFilters: "Clear all filters in layer",
						copiedToClipboard: "The data was copied to the clipboard.",
						exportTooltip: "Export",
						exportTooltipDisabled: "Maximum limit of features ({0}) exceeded.",
						exportExcel: "Export to excel",
						exportPDF: "Export to PDF",
						groupOptionLabel: "Default columns"
					}
				},
				drawingView: {
					DrawingViewController: {
						style: "Style",
						data: "Data",
						description: "Description",
						name: "Name",
						showLabel: "Show Label",
						id: "ID",
						strokeStyle: "Stroke style",
						polygon: {
							fillColor1: "Fill color",
							fillColor2: "Pattern color",
							fillPattern: "Fill pattern",
							fillStyle: "Fill style",
							strokeColor: "Stroke color",
							strokeWidth: "Stroke width",
							fillStyleEnum: {
								NONE: "None",
								SOLID: "Solid",
								PATTERN: "Pattern",
								GRADIENT_LINEAR: "Linear gradient",
								GRADIENT_RADIAL: "Radial gradient",
								IMAGE: "Image",
							},
						},
						polyline: {
							strokeColor: "Stroke color",
							strokeWidth: "Stroke width",
						},
						symbolPoint: {
							color: "Color",
							size: "Size",
							symbolChar: "Shape",
						},
						annotation: {
							color: "Color",
							fillStyle: "Fill style",
							fillColor1: "Fill color",
							strokeColor: "Stroke color",
							strokeWidth: "Stroke width",
							size: "Size",
							textProperties: "Text : ",
							textboxProperties: "Textbox : ",
							textStyle: "Style",
							textHalo: "Halo",
							fillStyleEnum: {
								NONE: "None",
								SOLID: "Solid",
							},
							strokeStyleEnum: {
								NONE: "None",
								LINE: "Line",
							},
						},
						ellipsoid: {
							fillColor1: "Fill color",
							fillColor2: "Pattern color",
							fillPattern: "Fill pattern",
							fillStyle: "Fill style",
							strokeColor: "Stroke color",
							strokeWidth: "Stroke width",
						},

						fillProperties: "Fill :",
						strokeProperties: "Stroke : ",
					},
					nodeEditorTooltip: "Modify the feature shape by editing the nodes",
					textEditorTooltip: "Modify the text by editing its bounding box",
					destroyTooltip: "Remove the feature",
				},
				infoView: {
					InfoViewController: {
						copiedToClipboard: "The data was copied to the clipboard.",
						copyToClipboard: "Press CTRL+C to copy data to the clipboard",
						noResultsFound: "No results found.",
						backToInfoViewButton: "Back to info view",
						featureNavPreviousTooltip: "Previous feature",
						featureNavListTooltip: "Display the list of features",
						featureNavNextTooltip: "Next feature",
						partialResult: "Partial display (too many results to display them all)",
						longitude: "Longitude:",
						latitude: "Latitude:",
						cardinalDirectionN: "N",
						cardinalDirectionS: "S",
						cardinalDirectionE: "E",
						cardinalDirectionW: "W"
					}
				},
				layerControlView: {
					DrawingLayerName: "Drawing and Annotations",
					IsochroneIsodistanceLayerPolygonName: "Isochrones/Isodistances",
					IsochroneIsodistanceLayerPointName: "Isochrones/Isodistances - Centroids",
					LayerToLayerControlAdapter: {
						btnOpacityTooltip: "Change the layer opacity",
						chkLabelCellTooltip: "Turn on or off map labels for this layer",
						chkClusterCellTooltip: "Display the points of this layer as data clusters or not",
						layerOutOfRangeTooltip: "Layer hidden due to visibility range",
						labelOutOfRangeTooltip: "Labels hidden due to visibility range",
						clusteringOutOfRangeTooltip: "Clustering enforced due to visibility range",
						chkEditLayerCellTooltip: "Begin/end layer edition"
					},
					StyleToLayerControlAdapter: {
						btnOpacityTooltip: "Change this style opacity"
					}
				},
				legendView: {
					color: "Color: ",
					colors: "Colors: ",
					opacity: "Opacity: ",
					minSize: "minSize",
					size: "Size: ",
					symbol: "Symbol: ",
					symbols: "Symbols: ",
					units: "Units: ",
					exportTooltip: "Export",
					graduationMethod: "Calculations: ",
					keyShowIndividualValuesWithZeroCount: "Show individual values with zero count",
					patternColor: "Pattern Color: ",
					removeCustomTextTooltip: "Restore default text",
					exportFilename: "CartoVista-Legend",
					HeatMapThemeToLegendGroupAdapter: {
						radius: "Radius: ",
						maximum: "High",
						minimum: "Low",
						screen: "Screen",
						map: "Map",
						pixels: "px",
						featuresVisibility: "Features Visibility: "
					},
					ChartThemeToLegendGroupAdapter: {
						fixed: "Fixed",
						fizedSize: "Fixed Size",
						graduated: "Graduated",
						stacked: "Stacked",
					},
					ThemeByGradientOfValuesToLegendGroupAdapter: {
						maximum: "Maximum: ",
						minimum: "Minimum: ",
						gradientOutOfRangeEnabledSize: "Show out of range values",
						gradientOutOfRangeEnabledColor: "Apply to out of range values",
						at: "at"
					},
					ThemeByRangesOfValuesToLegendGroupAdapter: {
						numberOfRanges: "Ranges: ",
						ranges: "Ranges",
						customText: "Text",
						rangeCalculationMethod: "Calculations: ",
						reverseRepresentation: "Representations",
						reverseRepresentationTooltip: "Reverse representations",
						reverseRanges: "Ranges",
						reverseRangesTooltip: "Reverse ranges",
					}
				},
				metadataView: {
					dataColumnSource: "Thematic Data: ",
					layerSource: "Geographic Layers: ",
					tileLayerTermsOfUse: "Tile Layer Copyright: ",
				}
			},
			zoomBar: {
				ZoomBarBtnZoomIn: {
					tooltip: "Applies a zoom on the center of the map to display a closer view"
				},
				ZoomBarBtnZoomOut: {
					tooltip: "Applies a zoom on the center of the map to display a wider view"
				}
			},
			isochroneIsodistance: {
				popupTitle: "New Isochrone/Isodistance",
				distance: "Distance",
				time: "Time",
				minutes: "minutes",
				kilometers: "kilometers",
				distanceTip: "Separate multiple values with commas (,)",
				transportMode: "Transport mode :",
				traffic: "Consider traffic :",
				departureTime: "Departure time :",
				addRouting: "Add",
				clearPreviousResults: "Clear previous results",
				colors: "Colors :",
				errorCount: "Error: Maximum number of values for this color palette is {0}.",
				errorMaximum: "Error: Maximum value is {0} minutes or {1} km.",
				dataColumns: {
					range: "Range",
					traffic: "Traffic",
					mode: "Mode",
					time: "Time"
				}
			},
			routing: {
				viewTitle: "New Route(s)",
				origin: "Origin",
				destination: "Destination",
				routes: "Routes",
				routingOptions: "Routing Options",
				multipleDestinationSorting: "Sorting (Multiple Destinations)",
				field: "Field",
				directions: "Directions",
				departureLocation: "Departure location",
				arrivalLocation: "Arrival location",
				destinations: "Destinations",
				destinationsFromLayer: "Destinations From Layer",
				nearest: "Nearest",
				originLocationPoint: "Origin",
				destinationLocationPoint: "Destination",
				primaryPolylinePath: "Primary route",
				alternativePolylinePath: "Alternative route",
				routingLayerName: "Origin-Destination",
				routesLayerName: "Routes",
				dataColumns: {
					name: "Name",
					distance: "Distance",
					time: "Time",
				},
				clearAll: "Clear All",
				alternativeRoutesOptionTitle: "Show alternative routes",
				alternativeRoutesNumber: "Number",
				multiDestinationTooltip: "Enable multi-destination mode (from a layer)",
				instructions: {
					origin: "Click on the map to define the origin point",
					destination: "Click on the map to define the destination point",
					destinationSecondClick: "Click on the map once again to define the destination point"
				}
			}
		},
		kendo: {
			ColorPicker: {
				apply: "Apply",
				cancel: "Cancel",
				previewInput: "Color Code"
			},
			Editor: {
				bold: "Bold",
				italic: "Italic",
				underline: "Underline",
				strikethrough: "Strikethrough",
				superscript: "Superscript",
				subscript: "Subscript",
				justifyCenter: "Center text",
				justifyLeft: "Align text left",
				justifyRight: "Align text right",
				justifyFull: "Justify",
				insertUnorderedList: "Insert unordered list",
				insertOrderedList: "Insert ordered list",
				indent: "Indent",
				outdent: "Outdent",
				createLink: "Insert hyperlink",
				unlink: "Remove hyperlink",
				insertImage: "Insert image",
				insertHtml: "Insert HTML",
				fontName: "Select font family",
				fontNameInherit: "(inherited font)",
				fontSize: "Select font size",
				fontSizeInherit: "(inherited size)",
				formatBlock: "Format",
				foreColor: "Color",
				backColor: "Background color",
				style: "Styles",
				emptyFolder: "Empty Folder",
				uploadFile: "Upload",
				orderBy: "Arrange by:",
				orderBySize: "Size",
				orderByName: "Name",
				invalidFileType: "The selected file \"{0}\" is not valid. Supported file types are {1}.",
				deleteFile: 'Are you sure you want to delete "{0}"?',
				overwriteFile: 'A file with name "{0}" already exists in the current directory. Do you want to overwrite it?',
				directoryNotFound: "A directory with this name was not found.",
				imageWebAddress: "Web address",
				imageAltText: "Alternate text",
				dialogInsert: "Insert",
				dialogButtonSeparator: "or",
				dialogCancel: "Cancel"
			},
			FilterMultiCheck: {
				messages: {
					checkAll: "Select all",
					clear: "Clear",
					filter: "Filter",
					search: "Search",
					selectedItemsFormat: "{0} items selected"
				}
			},
			FilterMenu: {
				messages: {
					info: "Show items with value that:",
					isTrue: "is true",
					isFalse: "is false",
					filter: "Filter",
					clear: "Clear",
					and: "And",
					or: "Or",
					selectValue: "-Select value-",
					operator: "Operator",
					value: "Value",
					cancel: "Cancel",
					title: "", // intentionally left blank
					logic: "Filters logic",
					additionalValue: "Additional value",
					additionalOperator: "Additional operator",
					done: "Done",
					into: "in"
				},
				operators: {
					string: {
						eq: "Is equal to",
						neq: "Is not equal to",
						startswith: "Starts with",
						contains: "Contains",
						doesnotcontain: "Does not contain",
						endswith: "Ends with",
						isnull: "Is null",
						isnotnull: "Is not null"
					},
					number: {
						eq: "Is equal to",
						neq: "Is not equal to",
						gte: "Is greater than or equal to",
						gt: "Is greater than",
						lte: "Is less than or equal to",
						lt: "Is less than",
						isnull: "Is null",
						isnotnull: "Is not null"
					},
					date: {
						eq: "Is equal to",
						neq: "Is not equal to",
						gte: "Is after or equal to",
						gt: "Is after",
						lte: "Is before or equal to",
						lt: "Is before",
						isnull: "Is null",
						isnotnull: "Is not null"
					},
					enums: {
						eq: "Is equal to",
						neq: "Is not equal to"
					}
				},
			},
			NumericTextBox: {
				upArrowText: "Increase value",
				downArrowText: "Decrease value",
			},
			Pager: {
				display: "{0} - {1} of {2} items",
				empty: "No items to display",
				page: "Page",
				of: "of {0}",
				allPages: "Auto",
				itemsPerPage: "items per page",
				first: "Go to the first page",
				previous: "Go to the previous page",
				next: "Go to the next page",
				last: "Go to the last page",
				refresh: "Refresh",
				morePages: "More pages",
			},
			Slider: {
				increaseButtonTitle: "Increase",
				decreaseButtonTitle: "Decrease",
				dragHandleTitle: "Drag"
			},
			TreeView: {
				loading: "Loading...",
				requestFailed: "Request failed.",
				retry: "Retry",
			},
		}
	};
});