// require config
require.config({
	baseUrl: "./",
	paths: {
		locales: "./locales",
		jquery: "./scripts/jquery.min",
		"kendo.button.min": "./scripts/kendo.custom.min",
		"kendo.dropdownlist.min": "./scripts/kendo.custom.min",
		"kendo.combobox.min": "./scripts/kendo.custom.min",
		"kendo.treeview.min": "./scripts/kendo.custom.min",
		"kendo.grid.min": "./scripts/kendo.custom.min",
		"kendo.autocomplete.min": "./scripts/kendo.custom.min",
		"kendo.dataviz.chart.min": "./scripts/kendo.custom.min",
		"kendo.colorpicker.min": "./scripts/kendo.custom.min",
		"kendo.listview.min": "./scripts/kendo.custom.min",
		"kendo.multiselect.min": "./scripts/kendo.custom.min",
		"kendo.panelbar.min": "./scripts/kendo.custom.min",
		"kendo.window.min": "./scripts/kendo.custom.min",
		"kendo.slider.min": "./scripts/kendo.custom.min",
		"kendo.splitter.min": "./scripts/kendo.custom.min",
		"kendo.editor.min": "./scripts/kendo.custom.min",
		"kendo.sortable.min": "./scripts/kendo.custom.min",
		"kendo.data.min": "./scripts/kendo.custom.min",
		"kendo.filtermenu.min": "./scripts/kendo.custom.min",
		"kendo.pager.min": "./scripts/kendo.custom.min",
		"kendo.drawing.min": "./scripts/kendo.custom.min",
		CartoVista: "./scripts/cartovista.viewer.min",
		html2canvas: "./scripts/html2canvas",
		JSZip: "./scripts/jszip.min"
	},
	shim: {
		CartoVista: {
			deps: [
				'jquery',
				"html2canvas",
				"JSZip",
				"kendo.button.min",
				"kendo.dropdownlist.min",
				"kendo.combobox.min",
				"kendo.treeview.min",
				"kendo.grid.min",
				"kendo.autocomplete.min",
				"kendo.dataviz.chart.min",
				"kendo.colorpicker.min",
				"kendo.listview.min",
				"kendo.multiselect.min",
				"kendo.panelbar.min",
				"kendo.window.min",
				"kendo.slider.min",
				"kendo.splitter.min",
				"kendo.editor.min",
				"kendo.sortable.min",
				"kendo.data.min",
				"kendo.filtermenu.min",
				"kendo.pager.min",
				"kendo.drawing.min"
			],
			exports: ""
		},
	},
	waitSeconds: 0 // The number of seconds to wait before giving up on loading a script. We want to prevent giving up on a script. 
});

// Start the main app logic.
require(['jquery', 'CartoVista', 'JSZip'], function($, CartoVista, JSZip) {
	window.JSZip = JSZip;

	//polyfill for fixing issue with ie9 not having access to console object when the developper window is not open
	if (!window.console) window.console = {};
	if (!window.console.log) window.console.log = function() {};

	$(document).ready(function() {
		var cartoVista = new CartoVista();
	});
});